Bug 234544 - gnome-panel keeps crashing
gnome-panel keeps crashing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-29 18:19 EDT by Christopher Aillon
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 22:06:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2007-03-29 18:19:19 EDT
I've had this crash happen 4 times in the past 3.5 hrs.  Seems to most happen
when launching applications.  This was triggered by launching gedit.

Distribution: Fedora release 6.92 (Rawhide)
Gnome Release: 2.18.0 2007-03-23 (Red Hat, Inc)
BugBuddy Version: 2.18.0

System: Linux 2.6.20-1.3025.fc7 #1 SMP Wed Mar 28 20:33:47 EDT 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10299902
Selinux: Permissive
Accessibility: Enabled
GTK+ Theme: Clearlooks
Icon Theme: Echo

Memory status: size: 56504320 vsize: 56504320 resident: 17539072 share: 12238848
rss: 17539072 rss_rlim: 4294967295
CPU usage: start_time: 1175202624 rtime: 689 utime: 541 stime: 148 cutime:0
cstime: 1 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/gnome-panel'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208796400 (LWP 13055)]
0x00f53402 in __kernel_vsyscall ()
#0  0x00f53402 in __kernel_vsyscall ()
#1  0x0024ebd3 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x04165a46 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x016e081b in strlen () from /lib/libc.so.6
#5  0x003eb0ce in g_strdup () from /lib/libglib-2.0.so.0
#6  0x0807a18e in panel_run_dialog_screen_changed (widget=0x9935c38, 
    prev_screen=0x959a0b0, dialog=0x98c6d78) at panel-run-dialog.c:1837
#7  0x0056c609 in g_cclosure_marshal_VOID__OBJECT ()
   from /lib/libgobject-2.0.so.0
#8  0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#9  0x00570433 in ?? () from /lib/libgobject-2.0.so.0
#10 0x00571957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#11 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#12 0x0119b314 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#13 0x0119b457 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x00fb10ff in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x00ff03db in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
#16 0x0119b48f in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#17 0x00fb4d50 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#18 0x00ff03db in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
#19 0x0119b48f in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x00fb4d50 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x00ff03db in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x0119b48f in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#23 0x00fb4d50 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#24 0x00ff03db in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
#25 0x0119b48f in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x0119eb5c in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x011a7b49 in gtk_widget_unparent () from /usr/lib/libgtk-x11-2.0.so.0
#28 0x00fb1325 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#29 0x0056c609 in g_cclosure_marshal_VOID__OBJECT ()
   from /lib/libgobject-2.0.so.0
#30 0x0055e589 in ?? () from /lib/libgobject-2.0.so.0
#31 0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#32 0x005708ca in ?? () from /lib/libgobject-2.0.so.0
#33 0x00571957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#34 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#35 0x00ff0c69 in gtk_container_remove () from /usr/lib/libgtk-x11-2.0.so.0
#36 0x011a31cd in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#37 0x00562420 in g_object_run_dispose () from /lib/libgobject-2.0.so.0
#38 0x010a719e in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#39 0x011a34a5 in gtk_widget_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#40 0x00fb10ff in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#41 0x00ff01fb in gtk_container_foreach () from /usr/lib/libgtk-x11-2.0.so.0
#42 0x00ff0b40 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#43 0x011b26d1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#44 0x0056d0f9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#45 0x0055e589 in ?? () from /lib/libgobject-2.0.so.0
#46 0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#47 0x00570bef in ?? () from /lib/libgobject-2.0.so.0
#48 0x00571957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#49 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#50 0x010a7491 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#51 0x011a31f1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#52 0x011af5b6 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#53 0x00562420 in g_object_run_dispose () from /lib/libgobject-2.0.so.0
#54 0x010a719e in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#55 0x011a34a5 in gtk_widget_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#56 0x0807b90b in panel_run_dialog_response (dialog=0x98c6d78, response=-5, 
    run_dialog=0x980cae0) at panel-run-dialog.c:438
#57 0x0056ce49 in g_cclosure_marshal_VOID () from /lib/libgobject-2.0.so.0
#58 0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#59 0x00570433 in ?? () from /lib/libgobject-2.0.so.0
#60 0x00571957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#61 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#62 0x01001d5a in gtk_dialog_response () from /usr/lib/libgtk-x11-2.0.so.0
#63 0x01001db5 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#64 0x0056d0f9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#65 0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#66 0x00570433 in ?? () from /lib/libgobject-2.0.so.0
#67 0x00571957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#68 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#69 0x00fb5d03 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
#70 0x00fb7775 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#71 0x00fb783c in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#72 0x01086c10 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#73 0x0055e589 in ?? () from /lib/libgobject-2.0.so.0
#74 0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#75 0x00570a83 in ?? () from /lib/libgobject-2.0.so.0
#76 0x0057171f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#77 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#78 0x0119bb58 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#79 0x0107ffea in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#80 0x010811d7 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#81 0x005ed13a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#82 0x003d0622 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#83 0x003d35ff in ?? () from /lib/libglib-2.0.so.0
#84 0x003d39a9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#85 0x01081654 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#86 0x0805ff5c in main (argc=5, argv=0xbfd133d4) at main.c:100

Thread 1 (Thread -1208796400 (LWP 13055)):
#0  0x00f53402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0024ebd3 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x04165a46 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x016e081b in strlen () from /lib/libc.so.6
No symbol table info available.
#5  0x003eb0ce in g_strdup () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x0807a18e in panel_run_dialog_screen_changed (widget=0x9935c38, 
    prev_screen=0x959a0b0, dialog=0x98c6d78) at panel-run-dialog.c:1837
	icon_path = <value optimized out>
#7  0x0056c609 in g_cclosure_marshal_VOID__OBJECT ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#8  0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#9  0x00570433 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#10 0x00571957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#11 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#12 0x0119b314 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#13 0x0119b457 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#14 0x00fb10ff in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#15 0x00ff03db in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#16 0x0119b48f in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#17 0x00fb4d50 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#18 0x00ff03db in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#19 0x0119b48f in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#20 0x00fb4d50 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#21 0x00ff03db in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#22 0x0119b48f in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#23 0x00fb4d50 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#24 0x00ff03db in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#25 0x0119b48f in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#26 0x0119eb5c in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#27 0x011a7b49 in gtk_widget_unparent () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#28 0x00fb1325 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#29 0x0056c609 in g_cclosure_marshal_VOID__OBJECT ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#30 0x0055e589 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#31 0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#32 0x005708ca in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#33 0x00571957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#34 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#35 0x00ff0c69 in gtk_container_remove () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#36 0x011a31cd in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#37 0x00562420 in g_object_run_dispose () from /lib/libgobject-2.0.so.0
No symbol table info available.
#38 0x010a719e in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#39 0x011a34a5 in gtk_widget_destroy () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#40 0x00fb10ff in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#41 0x00ff01fb in gtk_container_foreach () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#42 0x00ff0b40 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#43 0x011b26d1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#44 0x0056d0f9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#45 0x0055e589 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#46 0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#47 0x00570bef in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#48 0x00571957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#49 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#50 0x010a7491 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#51 0x011a31f1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#52 0x011af5b6 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#53 0x00562420 in g_object_run_dispose () from /lib/libgobject-2.0.so.0
No symbol table info available.
#54 0x010a719e in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#55 0x011a34a5 in gtk_widget_destroy () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#56 0x0807b90b in panel_run_dialog_response (dialog=0x98c6d78, response=-5, 
    run_dialog=0x980cae0) at panel-run-dialog.c:438
No locals.
#57 0x0056ce49 in g_cclosure_marshal_VOID () from /lib/libgobject-2.0.so.0
No symbol table info available.
#58 0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#59 0x00570433 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#60 0x00571957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#61 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#62 0x01001d5a in gtk_dialog_response () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#63 0x01001db5 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#64 0x0056d0f9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#65 0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#66 0x00570433 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#67 0x00571957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#68 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#69 0x00fb5d03 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#70 0x00fb7775 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#71 0x00fb783c in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#72 0x01086c10 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#73 0x0055e589 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#74 0x0055fd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#75 0x00570a83 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#76 0x0057171f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#77 0x00571b19 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#78 0x0119bb58 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#79 0x0107ffea in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#80 0x010811d7 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#81 0x005ed13a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#82 0x003d0622 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#83 0x003d35ff in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#84 0x003d39a9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#85 0x01081654 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#86 0x0805ff5c in main (argc=5, argv=0xbfd133d4) at main.c:100
	context = <value optimized out>
	program = (GnomeProgram *) 0x9582810
#0  0x00f53402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors (27 sec old) ---------------------
(gnome-terminal:13100): Vte-WARNING **: Can not find appropiate font for
character U+ac08.
(gnome-terminal:13100): Vte-WARNING **: Can not find appropiate font for
character U+ac10.
GTK Accessibility Module initialized
GTK Accessibility Module initialized
Bonobo accessibility support initialized
GTK Accessibility Module initialized
GTK Accessibility Module initialized
Bonobo accessibility support initialized
Bonobo accessibility support initialized
GTK Accessibility Module initialized
Bonobo accessibility support initialized
--------------------------------------------------
Comment 1 Matthias Clasen 2007-03-29 20:48:33 EDT
Looks like this upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=413921
Comment 2 Christopher Aillon 2007-03-30 11:38:19 EDT
This is related to a11y.  Disabling a11y makes the crashes go away.
Comment 3 Ray Strode [halfline] 2007-04-04 12:31:25 EDT
did you launch gedit by pressing alt-f2 ?
Comment 4 Christopher Aillon 2007-04-04 13:03:46 EDT
No, but that also crashes me.  I hit this originally by clicking on the icon I
made on the panel itself.  Any panel icon click (though not notification
icons/systray odd) will crash the panel.  Menus seem to work.
Comment 5 Ray Strode [halfline] 2007-04-04 16:01:25 EDT
Do things look better with tomorrow's rawhide?  I think there may be two
separate issues (the run dialog one, and the clicking a launcher one)

Comment 6 Matthias Clasen 2007-04-23 22:06:38 EDT
I think this is fixed, right ? Reopen if not.

Note You need to log in before you can comment on or make changes to this bug.